---
title: "Debug page"
desc: "Testing out some stuff"
keywords: "nix, nixos, linux"
updated: "2022-03-27"
---

### Logo links:

This is a logo link in the middle of a text: [nani|h7x4/dotfiles]. Isnt' it kinda cool?

[nxo|environment.etc]
[nxp|niv]
[nani|h7x4/dotfiles]
[ga|gitea/tea]
[gl|gitlab-org/gitlab]
[rd|Company-wide email + 30,000 employees + auto-responders = ...](https://www.reddit.com/r/talesfromtechsupport/comments/420oan/companywide_email_30000_employees_autoresponders/)
[wiki|Computer Programming](https://en.wikipedia.org/wiki/Computer_programming)
[hg|>>=]
[hk|pcre-heavy]
[so|YouTube iframe embed - full screen](https://stackoverflow.com/questions/27723423/youtube-iframe-embed-full-screen)
[crt|clap]
[npm|unofficial-jisho-api]
[pub|unofficial_jisho_api]
[yt|dQw4w9WgXcQ]

[kan|漢](かん)[kan|字](じ)

---

Here's some haskell code:

```haskell
titleRoute :: Metadata -> Maybe Routes
titleRoute metadata = constRoute <$> fileNameFromTitle metadata
    where
      slug :: String -> String
      slug = T.unpack . (`T.append` ".html") . Slugger.toSlug . T.pack

      ignore :: Eq a => a -> a -> Maybe a
      ignore shouldBeIgnored value
        | shouldBeIgnored == value = Nothing
        | otherwise = Just value

      fileNameFromTitle :: Metadata -> Maybe FilePath
      fileNameFromTitle metadata = slug <$> (ignore "" =<< lookupString "title" metadata)
```

---

Here's a graphviz graph

```dot
digraph G {

  subgraph cluster_0 {
    style=filled;
    color=lightgrey;
    node [style=filled,color=white];
    a0 -> a1 -> a2 -> a3;
    label = "process #1";
  }

  subgraph cluster_1 {
    node [style=filled];
    b0 -> b1 -> b2 -> b3;
    label = "process #2";
    color=blue
  }
  start -> a0;
  start -> b0;
  a1 -> b3;
  b2 -> a3;
  a3 -> a0;
  a3 -> end;
  b3 -> end;

  start [shape=Mdiamond];
  end [shape=Msquare];
}
```